package br.com.tutorial.avalia;

public class Correcao {

    private char[] corretas;
	private char[] escolhidas;


	public Correcao(char[] corretas, char[] escolhidas) {
		   this.corretas = corretas;
		   this.escolhidas = escolhidas;
	}

	/*  */
    public boolean corrigir() {

			int i, j;
			boolean correta, errada;

			i = j = 0;
			correta = true;

			if(corretas.length == escolhidas.length) {
			    for(i = 0; i < corretas.length; i++) {
				    errada = true;
					for(j = 0; j < escolhidas.length; j++) {
					    if(corretas[i] == escolhidas[j]) {
							errada = false;
							break;
						}
					}
					if(errada) {
					    correta = false;
					    break;
					}
			    }
            }
			else {
			    correta = false;
			}

			return correta;
	}
}